Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.regex
Class CaseVariants

    java.lang.Object
      net.sf.saxon.regex.CaseVariants

    public class CaseVariants

extends Object

This class holds data about the case-variants of Unicode characters. The data is automatically generated from the Unicode database.

Field Summary
`static int[]` | `ROMAN_VARIANTS` Get the case variants of roman letters (A-Z, a-z), other than the letters A-Z and a-z themselves

Constructor Summary
`CaseVariants()`

Method Summary
`static int[]` | `getCaseVariants(int code)` Get the case variants of a character

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROMAN_VARIANTS

    public static int[] ROMAN_VARIANTS

  Get the case variants of roman letters (A-Z, a-z), other than the letters A-Z and a-z themselves

Constructor Detail

### CaseVariants

    public CaseVariants()

Method Detail

### getCaseVariants

    public static int[] getCaseVariants(int code)

  Get the case variants of a character

  Parameters:
    `code` - the character whose case variants are required
  Returns:
    the case variants of the character, excluding the character itself

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.